// pages/index.jsx
import { useState } from "react";
import { Input } from "@/components/ui/input";
import { Button } from "@/components/ui/button";

export default function Home() {
  const [form, setForm] = useState({ name: "", email: "", phone: "", postcode: "" });

  const handleChange = (e) => setForm({ ...form, [e.target.name]: e.target.value });

  const handleSubmit = async () => {
    await fetch("/api/quote/save", {
      method: "POST",
      headers: { "Content-Type": "application/json" },
      body: JSON.stringify(form),
    });
    alert("Quote request submitted!");
  };

  return (
    <div className="max-w-md mx-auto p-6">
      <h1 className="text-2xl font-bold mb-4">Solar Quote Request</h1>
      {["name", "email", "phone", "postcode"].map((field) => (
        <Input key={field} name={field} placeholder={field} className="mb-2" onChange={handleChange} />
      ))}
      <Button onClick={handleSubmit}>Get My Quote</Button>
    </div>
  );
}
